﻿Imports ASPSnippets.FaceBookAPI
Imports System.Web.Script.Serialization

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Login(sender As Object, e As EventArgs)
        FaceBookConnect.Authorize("user_photos,email", Request.Url.AbsoluteUri.Split("?"c)(0))
    End Sub

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        FaceBookConnect.API_Key = "<Your API Key>"
        FaceBookConnect.API_Secret = "<Your API Secret>"
        FaceBookConnect.Version = "v19.0"

        If Not Me.IsPostBack Then
            If Request.QueryString("error") = "access_denied" Then
                ClientScript.RegisterStartupScript(Me.GetType(), "alert", "alert('User has denied access.')", True)
                Return
            End If

            Dim code As String = Request.QueryString("code")
            If Not String.IsNullOrEmpty(code) Then
                Dim data As String = FaceBookConnect.Fetch(code, "me", "id,name,email,picture")
                Dim faceBookUser As FaceBookUser = New JavaScriptSerializer().Deserialize(Of FaceBookUser)(data)
                pnlFaceBookUser.Visible = True
                lblId.Text = faceBookUser.Id
                lblName.Text = faceBookUser.Name
                lblEmail.Text = faceBookUser.Email
                ProfileImage.ImageUrl = faceBookUser.Picture.Data.Url
                btnLogin.Enabled = False
            End If
        End If
    End Sub
End Class

Public Class FaceBookUser
    Public Property Id As String
    Public Property Name As String
    Public Property Email As String
    Public Property Picture As FaceBookUserPicture
End Class

Public Class FaceBookUserPicture
    Public Property Data As Data
End Class

Public Class Data
    Public Property Url As String
End Class